# JacocoMerge

API Documentation: | `JacocoMerge`

Note: This class is incubating and may change in a future version of Gradle.

Task to merge multiple execution data files into one.

### Properties

Property | Description
`destinationFile` | Incubating File to write merged execution data to.
`executionData` | Incubating Collection of execution data files to merge.
`jacocoClasspath` | Incubating Classpath containing Jacoco classes for use by the task.

### Property details

#### `File` `destinationFile`

Note: This property is incubating and may change in a future version of Gradle.

File to write merged execution data to.

Default with `jacoco` plugin:
  ``buildDir`/jacoco/`task.name`.exec`

#### `FileCollection` `executionData`

Note: This property is incubating and may change in a future version of Gradle.

Collection of execution data files to merge.

#### `FileCollection` `jacocoClasspath`

Note: This property is incubating and may change in a future version of Gradle.

Classpath containing Jacoco classes for use by the task.

Default with `jacoco` plugin:
  `project.configurations.jacocoAnt`

### Script blocks

No script blocks

### Methods

Method | Description
`executionData(files)` | Incubating Adds execution data files to be merged.
`executionData(tasks)` | Incubating Adds execution data generated by a task to the list of those to merge. Only tasks with a `JacocoTaskExtension` will be included; all others will be ignored.
`executionData(tasks)` | Incubating Adds execution data generated by the given tasks to the list of those merged. Only tasks with a `JacocoTaskExtension` will be included; all others will be ignored.

### Method details

#### `void` `executionData`(``Object`...` files)

Note: This method is incubating and may change in a future version of Gradle.

Adds execution data files to be merged.

#### `void` `executionData`(``Task`...` tasks)

Note: This method is incubating and may change in a future version of Gradle.

Adds execution data generated by a task to the list of those to merge. Only tasks with a `JacocoTaskExtension` will be included; all others will be ignored.

#### `void` `executionData`(`TaskCollection` tasks)

Note: This method is incubating and may change in a future version of Gradle.

Adds execution data generated by the given tasks to the list of those merged. Only tasks with a `JacocoTaskExtension` will be included; all others will be ignored.